<template>
  <div>
    <a
      download="resume-gabriel_galan_casillas.png"
      :href="output"
      class="text-tertiary absolute top-0 left-0 mt-4 ml-4"
      >{{ $t("download") }}</a
    >
  </div>
</template>

<script>
import html2canvas from "html2canvas";

export default {
  name: "download-button",
  mounted: function () {
    this.download();
  },
  data: () => {
    return {
      isGettingFancy: true,
      timer: null,
      output: "",
    };
  },
  methods: {
    async download() {
      this.output = (await html2canvas(document.querySelector("body"), {
        foreignObjectRendering: true,
        letterRendering: 1,
        logging: true
      })).toDataURL();
    },
  },
};
</script>

<style>
</style>
